%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

%define cvs 0
%define subr	pre5

Name:		lyx
Summary:	A word processor for the Desktop Environment
Version:	1.3.2
%if %cvs
Release:	0.5%{subr}mdk
%else
Release:	6mdk
%endif
%if %cvs
Source:		ftp://ftp.lyx.org/pub/lyx/stable/%name-%version%{subr}.tar.bz2
%else
Source:		ftp://ftp.lyx.org/pub/lyx/stable/%name-%version.tar.bz2
%endif
URL:		http://www.lyx.org/
Group:		Office

%if %buildfor9_2
BuildRequires:	XFree86-devel, qt3-devel, libforms-devel, xpm-devel, libjpeg-devel
BuildRequires:	autoconf, automake1.7, chrpath, gcc-c++, gettext
BuildRequires:	ghostscript, groff-for-man, sgml-tools, tetex-dvips, tetex-latex, texinfo
%else
BuildRequires:	XFree86-devel, libqt3-devel, libforms-devel, xpm-devel, libjpeg-devel
BuildRequires:	autoconf, automake1.7, chrpath, gcc-c++, gettext
BuildRequires:	ghostscript, groff-for-man, sgml-tools, tetex-dvips, tetex-latex, texinfo
%endif

BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tetex, tetex-latex, tetex-dvips
# needed to display math symbols on screen
Requires:	fonts-ttf-latex
License:	GPL

%define __libtoolize :

%description
LyX is a modern approach of writing documents with a computer
which breaks with the tradition of the obsolete typewriter
concept.  It is designed for people who want a professional
output with a minimum of time effort, without becoming specia-
lists in typesetting.  Compared to common word processors LyX
will increase the productivity a lot, since most of the type-
setting will be done by the computer, not the author.  With LyX
the author can concentrate on the contents of his writing,
since the computer will take care of the look.


%prep
rm -rf $RPM_BUILD_ROOT

%if %cvs
%setup -q -n %name-%version%subr
%else
%setup -q
%endif
# gb is fed up to hand patch
perl -pi -e "s,/lib/(gnomemmConf.sh),/%{_lib}/\1,g" configure *.m4
aclocal
#automake-1.7

%build
export CXXFLAGS="-O2 -Wall -W"
# libforms1 needs -lm for ceil, floor and pow
export LDFLAGS=" -ljpeg -L/usr/X11R6/%{_lib} -lforms -lm"
#./autogen.sh

%configure --libdir=%_libdir --with-frontend=qt --with-qt-dir=/usr/lib/qt3 --without-aiksaurus \
 --without-included-string --with-pspell --disable-debug --enable-optimization=-O2

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#mdk menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/lyx <<EOF
?package(lyx): command="%{_bindir}/lyx" \
needs="X11" \
icon="wordprocessor_section.png" \
section="Office/Wordprocessors" \
mimetypes="text/x-lyx" \
title="LyX" \
longtitle="TeX word processor - especially good at scientific documents"
EOF

for i in lib/reLyX/{BUGS,README,CHANGES,TODO,MANIFEST}; do cp $i $i.reLyX;cp $i.reLyX .;done

#
# Set up the lyx-specific class files where TeX can see then
#
TEXMF=%{_datadir}/texmf
mkdir -p $RPM_BUILD_ROOT${TEXMF}/tex/latex
cp -r $RPM_BUILD_ROOT%_datadir/lyx/tex $RPM_BUILD_ROOT${TEXMF}/tex/latex/lyx
chmod +x $RPM_BUILD_ROOT%_datadir/lyx/configure
rm -f $RPM_BUILD_ROOT%_bindir/listerrors
%find_lang %name
find $RPM_BUILD_ROOT%_datadir/%name -type f | sed -e "s@$RPM_BUILD_ROOT@@g" \
	-e "s@%_datadir/%name/doc/\(..\)_@%lang(\1) %_datadir/%name/doc/\1_@g" \
	-e "s@\(%_datadir/%name/configure\)\$@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/scripts/\)@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/lyx2lyx/\)@%attr(755,root,root) \1@g" \
	>> %name.lang
find $RPM_BUILD_ROOT%_datadir/%name -type d | sed -e "s@$RPM_BUILD_ROOT@%dir @g" >> %name.lang
chrpath -d $RPM_BUILD_ROOT%_bindir/%name
mv $RPM_BUILD_ROOT%_bindir/%name{,.bin}
cat << EOF > $RPM_BUILD_ROOT%_bindir/%name
#!/bin/sh
LANGUAGE=\$(echo \$LANGUAGE |sed -e 's/:.*//')
exec %_bindir/%name.bin \$@
EOF
chmod +x $RPM_BUILD_ROOT%_bindir/%name

%post
%update_menus
# Fix the TeX file hash
#
texhash
# Before configuring lyx for the local system 
# PATH needs to be imported
if [ -f /etc/profile ]; then
    . /etc/profile
fi
#
# Now configure LyX
#
#echo "Configuring LyX for your system..."
cd %_datadir/lyx
./configure --srcdir > /dev/null

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc INSTALL README ANNOUNCE NEWS INSTALL.autoconf
%doc UPGRADING COPYING 
%doc BUGS.reLyX README.reLyX CHANGES.reLyX TODO.reLyX MANIFEST.reLyX 
%_bindir/*
%_mandir/man1/*
%_menudir/%name
%_datadir/texmf/tex/latex/lyx

%changelog
* Tue Sep 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.2-6mdk
- added Requires

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-5mdk
- Fix build

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-4mdk
- rebuild without libaiksaurus

* Mon Jul 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-3mdk
- rebuild

* Mon May 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-2mdk
- fix buildrequires (danny)

* Mon May 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.2-1mdk
- new release

* Wed Mar 26 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-1mdk
- new release
- remove patch 0 (no more needed)
- fix doble file inclusion

* Mon Jan 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-2mdk
- patch 0 : fix %%post warning

* Thu Jan 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- buf fix release

* Wed Dec 18 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.2-5mdk
- let's allow other platforms than i586 (should be an rpmlint rule)

* Tue Dec 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-4mdk
- new release

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.1-3mdk
- You were not awaaare!

* Fri Aug 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-2mdk
- add missing quotes in wrapper 
- pass arguments to lyx.bin in lyx (Ralf Ahlbrink)
- hide configure messages in %%post (Goetz Waschk)

* Fri Aug 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-2mdk
- 

* Wed Aug 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- bug fixes release
- remove patch0 (fixed upstream)
- add a wrapper to prevent lyx to open LL:ll* insted of LL* for files
  that're locale dependant

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-7mdk
- rebuild for new g++ ABI and new xforms
- remove stupid (very) slow find hack
- patch0: fix build with xforms1

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-6mdk
- rebuild for g++-3.2
- fix configure-without-libdir-spec

* Thu Jul 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-5mdk
- add mime type to menu entry (Daniel Woods Bullok)

* Mon Jun 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-4mdk
- really make /usr/share/lyx/scripts/* executables

* Sun Jun 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- make /usr/share/lyx/scripts/* executables

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- remove stupide /usr/X11R6 rpath
- remove useless build dependancy on lftp since now insane xforms got freed
- remove ptsname fix
- remove AMDEP_TRUE fix (Sources 50 to 52)
- use std textclass.lst, packages.lst, lyxrc.defaults

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-1mdk
- final release
- disable elsart fix

* Thu May 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0-0.5pre5mdk
- Rebuild against open-sourced xforms.
- Remove ExcludeArch ia64. 
- Add BR for libforms-devel.

* Wed May 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-0.4pre5mdk
- fix elsart with bibtex support (on Philippe Baucour's request)
  (patch adapted from
  http://www.mail-archive.com/lyx-devel@lists.lyx.org/msg37633.html)

* Tue May 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-0.3pre5mdk
- fix configure permission (reported by Ryan T. Sammartino)

* Sat May 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-0.2pre5mdk
- %%lang()ify lyx documentation in order to reduce installation size
- build with gcc-3.1 (new libstdc++ seems to result in 12.7% reduction
  in package size :-) )

* Mon May 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-0.1pre5mdk
- new release

* Mon Apr 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-0.1pre4mdk
- new release

* Sat Mar 02 2002 David BAUDENS <baudens@mandrakesoft.com> 1.1.6-18mdk
- Don't use obsolete icon in menu entry

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-17mdk
- remove empty file

* Wed Jan 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-16mdk
- disable pwlib support [i traced all bugs from coming from libpt.so.1]
- remove ppc specific stuff as it turned to be same across all platforms
- fix4
- a few spec clean

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-15mdk
- BuildRequires

* Thu Jan 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.6-14mdk
- PPC still uses gcc2.95

* Sun Jan 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-13mdk
- updates from BRANCH_1_1_6 cvs branch (aka fixes from future fix4 release)

* Thu Dec 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-12mdk
- fix segfault  (removing kdb definitions)

* Thu Oct 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-11mdk
- EcludeArch: ia64

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-10mdk
- remove unapplied patch

* Sun Oct 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.6-9mdk
- BuildRequires: libsigc++-devel
- fixed byforms for alpha
-  mkdir -p %xform_dir

* Tue Aug 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-8mdk
- revert geoffroy 'always get xform'
- versionate with %%_arch xform lib directory

* Tue Aug 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.6-7mdk
- Revert Titi's don't get xform if already there change (check spec
  to see why).
- Use the new xform 0.89 (Thomas LECLERC).

* Tue Aug 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-6mdk
- smaller binaries (no debug info)

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-5mdk
- fix3
- fcrozatfication (aka Office/Wordprocessors)
- spec cleaning
- don't get xform if already there
- make it worldwide compilable
- reduce memory usage by using system libsigc
- fix build on current cooker (gwenole)

* Wed May 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.6-4mdk
- Roll out lyx 1.1.6 fix2 for everyone.

* Tue Feb 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-3mdk
- bug fix : since fix1, lyx doesn't install an executable configure
- prevent lyx from segfaulting

* Thu Feb 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-2mdk
- 1.1.6fix1 (bug fix release)
- minor spec tuning in order to ease use of fixY version

* Fri Jan 12 2001 Geoff <snailtalk@mandrakesoft.com> 1.1.6-1mdk
- really 1.1.6.

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.6-0.3mdk
- BuildRequires: lftp
- Some fix in spec

* Wed Nov 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1.6-0.2mdk
- fixed xforms lftp command for ports

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-0.1mdk
- new release
- daouda cleaning
- gcc-2.96 build

* Thu Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-5mdk
- include fix2 (Kees report) : a lot of fixes!
- correct handling of icons  

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-4mdk
- force icons to appear (big titi suX)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-3mdk
- really install icon (fuc**** crashing ke which losts files)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-2mdk
- uses find_lang
- fix Requires
- really install the menu icon (me sucks :-( )

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-1mdk
- many fixes
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-7mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-6mdk
- add menu entry
- use spec-helper
- explain in spec how to build it (this needs to be compiled against static
  libxforms (which is authorized by its owners) because we cannot provide
  xforms.

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-5mdk
- various fixes (crash after repeated use of the backspace key, font tags,
  truncated images filename)
- add requires on tetex for post-install script

* Mon Apr 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-4mdk
- oops! half the locales were forgetted ...

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group name (same as klyx)
- fix compilation problems with new autoconf
- fix post-install scripts
- fix installation of i18n po files
- fix some bugs :
	* fix warnings about missing return type in X headers for some
     gcc/egcs versions.
	* fix parsing of LaTeX log files, where some errors got unnoticed.
	* add support for textclasses with more than 128 layouts (yes some
	  people do that!)
	* fix bug with filenames containing more that one "." (for example,
	  a.b.lyx was exported to a.ps).
	* fix partly bug with bibtex files located in the directory of
	  the document (now using an absolute path works).
	* bug in math editor, where greek letters (and some other symbols)
	  had too much spacing around them.

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix some bugs (i18n, non-gnu dvips handling, and a few others)
- add some warning in spec file in order to explain why we don't provide
  xforms. Hopefully, devel LyX-1.5 is getting independance from xforms ...
- fix compilation with newer g++-2.95.2

* Thu Feb 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.14

* Fri Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.13

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rewritten %files (it had conflicts with filesystem package !)
- bzip2'ed man pages
- corrected prefix path; now it find the translation files again

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
